<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddPresenceGroupReq StructType
 * @subpackage Structs
 */
class AddPresenceGroupReq extends APIRequest
{
    /**
     * The presenceGroup
     * @var XPresenceGroup
     */
    public $presenceGroup;
    /**
     * Constructor method for AddPresenceGroupReq
     * @uses AddPresenceGroupReq::setPresenceGroup()
     * @param XPresenceGroup $presenceGroup
     */
    public function __construct(XPresenceGroup $presenceGroup = null)
    {
        $this
            ->setPresenceGroup($presenceGroup);
    }
    /**
     * Get presenceGroup value
     * @return XPresenceGroup|null
     */
    public function getPresenceGroup()
    {
        return $this->presenceGroup;
    }
    /**
     * Set presenceGroup value
     * @param XPresenceGroup $presenceGroup
     * @return AddPresenceGroupReq
     */
    public function setPresenceGroup(XPresenceGroup $presenceGroup = null)
    {
        $this->presenceGroup = $presenceGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddPresenceGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
